---
title: List incident responders
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Incidents
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# List incident responders{% #list-incident-responders %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                |
| ----------------- | --------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/incidents/{incident_id}/responders |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/incidents/{incident_id}/responders |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/incidents/{incident_id}/responders      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/incidents/{incident_id}/responders      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/incidents/{incident_id}/responders  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/incidents/{incident_id}/responders |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/incidents/{incident_id}/responders     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/incidents/{incident_id}/responders |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/incidents/{incident_id}/responders |

### Overview

List all responders for an incident. This endpoint requires the `incident_read` permission.

OAuth apps require the `incident_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#incidents) to access this endpoint.



### Arguments

#### Path Parameters

| Name                          | Type   | Description               |
| ----------------------------- | ------ | ------------------------- |
| incident_id [*required*] | string | The UUID of the incident. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response with a list of incident responders.

| Parent field     | Field                         | Type      | Description                                                                  |
| ---------------- | ----------------------------- | --------- | ---------------------------------------------------------------------------- |
|                  | data [*required*]        | [object]  | List of incident responders.                                                 |
| data             | attributes [*required*]  | object    | Attributes of an incident responder in a response.                           |
| attributes       | created [*required*]     | date-time | Timestamp when the responder was created.                                    |
| attributes       | external_id                   | string    | The external ID of the responder.                                            |
| attributes       | external_source               | string    | The external source of the responder.                                        |
| attributes       | is_billable [*required*] | boolean   | Whether this responder counts toward billing.                                |
| attributes       | last_active                   | date-time | Timestamp when the responder was last active.                                |
| attributes       | meta                          | object    | Additional metadata for the responder.                                       |
| attributes       | modified [*required*]    | date-time | Timestamp when the responder was last modified.                              |
| data             | id [*required*]          | uuid      | The responder identifier.                                                    |
| data             | relationships                 | object    | Relationships for an incident responder.                                     |
| relationships    | created_by                    | object    | Relationship to user.                                                        |
| created_by       | data [*required*]        | object    | Relationship to user object.                                                 |
| data             | id [*required*]          | string    | A unique identifier that represents the user.                                |
| data             | type [*required*]        | enum      | Users resource type. Allowed enum values: `users`                            |
| relationships    | last_modified_by              | object    | Relationship to user.                                                        |
| last_modified_by | data [*required*]        | object    | Relationship to user object.                                                 |
| data             | id [*required*]          | string    | A unique identifier that represents the user.                                |
| data             | type [*required*]        | enum      | Users resource type. Allowed enum values: `users`                            |
| relationships    | role_assignments              | object    | Relationship to role assignments for a responder.                            |
| role_assignments | data                          | [object]  | List of role assignment relationship data.                                   |
| data             | id [*required*]          | uuid      | The role assignment identifier.                                              |
| data             | type [*required*]        | string    | The role assignment resource type.                                           |
| relationships    | user                          | object    | Relationship to user.                                                        |
| user             | data [*required*]        | object    | Relationship to user object.                                                 |
| data             | id [*required*]          | string    | A unique identifier that represents the user.                                |
| data             | type [*required*]        | enum      | Users resource type. Allowed enum values: `users`                            |
| data             | type [*required*]        | enum      | Incident responder resource type. Allowed enum values: `incident_responders` |
|                  | included                      | [object]  | Included related resources.                                                  |
| included         | attributes                    | object    | Attributes of user object returned by the API.                               |
| attributes       | email                         | string    | Email of the user.                                                           |
| attributes       | handle                        | string    | Handle of the user.                                                          |
| attributes       | icon                          | string    | URL of the user's icon.                                                      |
| attributes       | name                          | string    | Name of the user.                                                            |
| attributes       | uuid                          | string    | UUID of the user.                                                            |
| included         | id                            | string    | ID of the user.                                                              |
| included         | type                          | enum      | Users resource type. Allowed enum values: `users`                            |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "created": "2024-01-01T00:00:00.000Z",
        "external_id": null,
        "external_source": null,
        "is_billable": true,
        "last_active": "2024-01-01T00:00:00.000Z",
        "meta": {},
        "modified": "2024-01-01T00:00:00.000Z"
      },
      "id": "00000000-0000-0000-0000-000000000000",
      "relationships": {
        "created_by": {
          "data": {
            "id": "00000000-0000-0000-2345-000000000000",
            "type": "users"
          }
        },
        "last_modified_by": {
          "data": {
            "id": "00000000-0000-0000-2345-000000000000",
            "type": "users"
          }
        },
        "role_assignments": {
          "data": [
            {
              "id": "00000000-0000-0000-0000-000000000000",
              "type": "incident_role_assignments"
            }
          ]
        },
        "user": {
          "data": {
            "id": "00000000-0000-0000-0000-000000000000",
            "type": "users"
          }
        }
      },
      "type": "incident_responders"
    }
  ],
  "included": [
    {
      "attributes": {
        "email": "string",
        "handle": "string",
        "icon": "string",
        "name": "string",
        "uuid": "string"
      },
      "id": "string",
      "type": "users"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export incident_id="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/incidents/${incident_id}/responders" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
